package body MSHTML.IHTMLWindow6_Object is

   procedure Put_XDomainRequest
     (This : IHTMLWindow6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow6_Put_XDomainRequest,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_XDomainRequest;

   function Get_XDomainRequest
     (This : IHTMLWindow6_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow6_Get_XDomainRequest);
   end Get_XDomainRequest;

   function Get_sessionStorage
     (This : IHTMLWindow6_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow6_Get_sessionStorage);
   end Get_sessionStorage;

   function Get_localStorage
     (This : IHTMLWindow6_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow6_Get_localStorage);
   end Get_localStorage;

   procedure Put_onhashchange
     (This : IHTMLWindow6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow6_Put_onhashchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onhashchange;

   function Get_onhashchange
     (This : IHTMLWindow6_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow6_Get_onhashchange);
   end Get_onhashchange;

   function Get_maxConnectionsPerServer
     (This : IHTMLWindow6_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow6_Get_maxConnectionsPerServer);
   end Get_maxConnectionsPerServer;

   procedure postMessage
     (This         : IHTMLWindow6_Type;
      msg          : GNATCOM.Types.VARIANT;
      targetOrigin : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free         : Boolean := True)
   is
   begin
      Invoke
        (This,
         IHTMLWindow6_postMessage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => targetOrigin,
          2 => msg),
         Free);
   end postMessage;

   function toStaticHTML
     (This     : IHTMLWindow6_Type;
      bstrHTML : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLWindow6_toStaticHTML,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => bstrHTML),
         Free);
   end toStaticHTML;

   procedure Put_onmessage
     (This : IHTMLWindow6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow6_Put_onmessage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmessage;

   function Get_onmessage
     (This : IHTMLWindow6_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow6_Get_onmessage);
   end Get_onmessage;

   procedure msWriteProfilerMark
     (This                 : IHTMLWindow6_Type;
      bstrProfilerMarkName : GNATCOM.Types.VARIANT;
      Free                 : Boolean := True)
   is
   begin
      Invoke
        (This,
         IHTMLWindow6_msWriteProfilerMark,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => bstrProfilerMarkName),
         Free);
   end msWriteProfilerMark;

end MSHTML.IHTMLWindow6_Object;

